org.gradle.play

## Interface PlayApplicationBinarySpec

- All Superinterfaces:
    ApplicationBinarySpec, Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, ModelElement, Named

      @Incubating
      public interface PlayApplicationBinarySpec
      extends ApplicationBinarySpec

  Represents a binary artifact that is the result of building a Play application software component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlayApplicationSpec` | `getApplication()` The application that this binary belongs to.
    `PublicAssets` | `getAssets()` A buildable object representing the public assets that will be included in the assets jar file.
    `File` | `getAssetsJarFile()` The assets jar file produced for this binary.
    `JvmClasses` | `getClasses()` A buildable object representing the class files and resources that will be included in the application jar file.
    `Map<LanguageSourceSet,JavaScriptSourceSet>` | `getGeneratedJavaScript()`
    `Map<LanguageSourceSet,ScalaLanguageSourceSet>` | `getGeneratedScala()`
    `File` | `getJarFile()` The application jar file produced for this binary.
    `PlayPlatform` | `getTargetPlatform()` The PlayPlatform this binary is built for.
    `PlayToolChain` | `getToolChain()`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getInputs, getSources, getTasks, isBuildable`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.CheckableComponentSpec

      `checkedBy, getCheckTask, setCheckTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

- - ### Method Detail

    - #### getApplication

          PlayApplicationSpec getApplication()

      The application that this binary belongs to.
      Specified by:
        `getApplication` in interface `ApplicationBinarySpec`

    - #### getTargetPlatform

          PlayPlatform getTargetPlatform()

      The PlayPlatform this binary is built for.
      Returns:
        platform for this binary

    - #### getToolChain

          PlayToolChain getToolChain()

    - #### getJarFile

          File getJarFile()

      The application jar file produced for this binary.
      Returns:
        the application jar file

    - #### getAssetsJarFile

          File getAssetsJarFile()

      The assets jar file produced for this binary.
      Returns:
        the assets jar file

    - #### getClasses

          JvmClasses getClasses()

      A buildable object representing the class files and resources that will be included in the application jar file.
      Returns:
        the JvmClasses for this binary

    - #### getAssets

          PublicAssets getAssets()

      A buildable object representing the public assets that will be included in the assets jar file.
      Returns:
        the PublicAssets for this binary

    - #### getGeneratedScala

          Map<LanguageSourceSet,ScalaLanguageSourceSet> getGeneratedScala()

    - #### getGeneratedJavaScript

          Map<LanguageSourceSet,JavaScriptSourceSet> getGeneratedJavaScript()